GET
/containers/{id}/json Return low-level information about a container.
Connection and access
API connection and authentication guidance
/v1.57
No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.
Parameters
id
path
Required
ID or name of the container
Type:
string
All schema constraints and annotations
{
"type": "string"
}size
query
Return the size of container as fields
SizeRw and SizeRootFsType:
boolean
All schema constraints and annotations
{
"default": false,
"type": "boolean"
}Request and responses
Response
200
no error
application/json
Schema:
ContainerInspectResponse
Response
404
no such container
application/json
Schema:
ErrorResponse
Example
{
"message": "No such container: c2ada9df5af8"
}Response
500
server error
application/json
Schema:
ErrorResponse
Schema example
{
"message": "Something went wrong."
}Referenced schemas
#/components/schemas/ContainerInspectResponse
#/components/schemas/ErrorResponse
Complete operation contract
{
"description": "Return low-level information about a container.",
"operationId": "ContainerInspect",
"parameters": [
{
"description": "ID or name of the container",
"in": "path",
"name": "id",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Return the size of container as fields `SizeRw` and `SizeRootFs`",
"in": "query",
"name": "size",
"schema": {
"default": false,
"type": "boolean"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ContainerInspectResponse"
}
}
},
"description": "no error"
},
"404": {
"content": {
"application/json": {
"example": {
"message": "No such container: c2ada9df5af8"
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "no such container"
},
"500": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "server error"
}
},
"summary": "Inspect a container",
"tags": [
"Container"
]
}